Netskope LogoNetskope Logo
  • Security Services
  • AI Services
  • Networking Services
  • Analytics Services
  • Integrations
  • getting-started.svgGetting Started
    • Support
    • Community
    • Netskope.com
    © 2026 All Rights Reserved. Netskope Inc.
    Home
    Data Security Posture Management (DSPM)
    Using The DSPM Platform
    DSPM API Access
    Use the Netskope DSPM API

    Use the Netskope DSPM API

    Overview

    With Netskope One DSPM’s Open APIs, you can build integrations that leverage Netskope One DSPM’s intelligence to further enrich your data applications & ecosystem. Specific examples include:

    • Ingesting Data Tags from your external data catalog systems
    • Controlling the classification of your data set fields
    • Export Netskope One DSPM’s insights to power outcomes in other platforms such as SIEMs, SOARs, and ticketing systems

    This article will explain how to access our developer documentation and execute our available API methods.

    All available Netskope One DSPM API routes are described within master Swagger UI documentation, which can be accessed on your Netskope console by navigating to All available Netskope One DSPM API routes are described within master Swagger UI documentation, which can be accessed on your Netskope console by navigating to Settings > Tools > REST API v2.

    Trying Out Methods

    Our documentation supports trying out the different methods directly within the Swagger UI.  To enable this functionality:

    1. Click the Authorize button.
    2. The Available authorizations modal is displayed.
    3. In the Value field, paste a valid Netskope Rest API Token.
    4. Click the Authorize button, then click the Close button.

    Now you can try individual methods by:

    1. Click the individual method you wish to execute.
    2. The individual method’s section expands.
    3. Next to the Parameters header, click the Try it out button.
    4. If necessary, populate any required Parameters (including editing any request body examples).
      a.  Multiple filters can be applied per field. Below are some examples of specific syntax you can use for GET /api/v2/dspm/classificationmanagement/columns
      i. Get all columns classified as Name or Email address: classification eq 1 or classification eq 2
      ii. Get all high-sensitivity columns that are not reviewed: sensitivity_level_id eq 3 and reviewed eq false
    5. Click the Execute button.
    6. The Responses section is now displayed.
    7. Review the Responses section for the system’s response to your request.

    Examples of other supported filter syntaxes:

    ScenarioFilter Syntax
    Begins withstartswith(location.column, 'FIRST')
    startswith(location.column, 'first')
    Contains (case-specific)substringof('firstn', location.column)
    substringof('FIRSTN', location.column)
    Contains (case-insensitive)substringof(tolower('FiRsTn'), location.column)
    substringof(tolower('FiRsTn'), tolower(location.column))
    substringof('firstn', tolower(location.column))
    substringof(tolower('firstn'), tolower(location.column))
    Not equalaccount_id ne 1234567890

    Open API and Data Tags

    You can use Netskope DSPM’s Open APIs to build integrations and ingest Data Tags from external data catalog systems.

    For information on how Data Tags are created, managed, and displayed in the Netskope DSPM user interface, see Manage DSPM Data Tags.

    All Data Tags have an assigned color to make them distinctive within the Netskope DSPM user interface. When defining tags via the API, you must use the supported hex color codes to ensure proper UI rendering.

    In this Topic
    • Use the Netskope DSPM API